Subject: [lp-wan] identifying a rule set

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 26 Aug 2020 14:07:43 +0000

Dear all

There will be a time where SCHC will be highly successful and there will be repositories to obtain a rule set from.

https://tools.ietf.org/html/draft-thubert-intarea-schc-over-ppp expects that and provides the URI [RFC3986] of the rule set in the PPP compression in the optional data of the IPv6-Compression-Protocol. The format would be JSON encoded Yang, based on https://tools.ietf.org/html/draft-ietf-lpwan-schc-yang-data-model<https://tools.ietf.org/html/draft-ietf-lpwan-schc-yang-data-model-03>. The SCHC compressor and decompressor (C/D) would pull the rule set from same appropriate repo in order to guarantee a matching operation.

At some point we need to agree on a workflow that enables to set, update, lookup and decommission entries in those repositories. Out of my hat I drew the following workflow:

What that indicates is that the Rule Set can be either indexed by device, or by standard, and for each of these, there will be versions.
These will be the keys to access the Rule repositories. Which tells me that there should be a format for those keys as well, in a way that guarantees that each key is unique.
Should we have a Yang for that as well. Should the Key be part of the model of the rule set?

Also, the rule set may be modified, so it also needs a versioning.

What I see in the draft right now is this:

container schc {
        leaf version{
            type uint64;
            mandatory false;
            description "used as an indication for versioning";

I assumes that the "version" leaf above versions the rule set of a device. And that by device we abstract a physical device, or a standard protocol, and either way, a version for it.
Is that correct?

Take care,

Pascal